%define	upstream_name	 Pod-Simple
%define upstream_version 3.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module to parse Pod
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Pod::Escapes) >= 1.40.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Test) >= 1.250.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap) >= 98.112.902
BuildRequires: perl(integer)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
Pod::Simple is a module suite for parsing Pod.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Pod
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.320.0-4.mga6
+ Revision: 1032327
- Rebuild for perl 5.22.2

* Sat Mar 26 2016 shlomif <shlomif> 3.320.0-3.mga6
+ Revision: 995679
- Rebuild for new perl version + SPEC cleanups

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Nov 15 2015 tv <tv> 3.320.0-1.mga6
+ Revision: 903367
- new release

* Sun Sep 06 2015 sander85 <sander85> 3.310.0-1.mga6
+ Revision: 873592
- update to 3.31

* Tue Jun 30 2015 sander85 <sander85> 3.300.0-1.mga6
+ Revision: 848601
- update to 3.30

* Wed Oct 15 2014 umeabot <umeabot> 3.280.0-4.mga5
+ Revision: 744633
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.280.0-3.mga5
+ Revision: 686020
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.280.0-2.mga4
+ Revision: 537421
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 3.280.0-1.mga4
+ Revision: 486994
- update to 3.28

* Wed Mar 27 2013 jquelin <jquelin> 3.230.0-5.mga3
+ Revision: 405529
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.230.0-4.mga3
+ Revision: 371993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 3.230.0-3.mga3
+ Revision: 315546
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 3.230.0-2.mga3
+ Revision: 294857
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 3.230.0-1.mga3
+ Revision: 284608
- update to 3.23

* Mon Jun 04 2012 jquelin <jquelin> 3.220.0-1.mga3
+ Revision: 254148
- update to 3.22

* Tue Mar 06 2012 jquelin <jquelin> 3.200.0-1.mga2
+ Revision: 219825
- update to 3.20

* Fri Nov 04 2011 jquelin <jquelin> 3.190.0-2.mga2
+ Revision: 162840
- take priority over module bundled with perl 5.14.2
- update to 3.19

  + kharec <kharec>
    - update to 3.18

* Wed Mar 16 2011 jquelin <jquelin> 3.160.0-1.mga1
+ Revision: 72331
- update to 3.16

* Fri Feb 18 2011 jquelin <jquelin> 3.150.0-3.mga1
+ Revision: 53653
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.150.0-2.mga1
+ Revision: 32752
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 3.150.0-1.mga1
+ Revision: 14043
- imported package perl-Pod-Simple


* Sat Nov 13 2010 Jérôme Quelin <jquelin@mandriva.org> 3.150.0-1mdv2011.0
+ Revision: 597204
- update to 3.15

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 3.140.0-2mdv2011.0
+ Revision: 561929
- rebuild

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 3.140.0-1mdv2011.0
+ Revision: 551225
- update to 3.14

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 3.130.0-1mdv2010.1
+ Revision: 480712
- update to 3.13

* Sat Dec 12 2009 Jérôme Quelin <jquelin@mandriva.org> 3.110.0-1mdv2010.1
+ Revision: 477729
- update to 3.11

* Fri Nov 13 2009 Jérôme Quelin <jquelin@mandriva.org> 3.100.0-1mdv2010.1
+ Revision: 465709
- update to 3.10

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 3.90.0-1mdv2010.1
+ Revision: 461348
- update to 3.09

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 3.80.0-2mdv2010.0
+ Revision: 420982
- rebuild

* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 3.80.0-1mdv2010.0
+ Revision: 396843
- update to 3.08
- using %%perl_convert_version
- fixed license field

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 3.07-2mdv2009.0
+ Revision: 265432
- rebuild early 2009.0 package (before pixel changes)

* Sat Jun 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.07-1mdv2009.0
+ Revision: 216575
- new version

* Wed Jun 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.06-1mdv2009.0
+ Revision: 215071
- new version

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.05-2mdv2008.1
+ Revision: 180536
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.05-1mdv2007.0
+ Revision: 133692
- new version
- Import perl-Pod-Simple

* Tue Apr 04 2006 Buchan Milne <bgmilne@mandriva.org> 3.04-2mdk
- Rebuild

* Mon Jan 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.04-1mdk
- New release 3.04
- use mkrel

* Tue Nov 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.03-1mdk
- 3.03
- Fix URL (maintainer change)

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 3.02-5mdk
- fix deps

* Wed Jun 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.02-4mdk 
- better url
- drop useless empty directories
- spec cleanup
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.02-3mdk 
- removed MANIFEST
- added mising doc files

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.02-2mdk
- fix buildrequires in a backward compatible way

* Fri Jun 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.02-1mdk
- 3.02
- cosmetics

* Wed May 12 2004 Michael Scherer <misc@mandrake.org> 2.06-1mdk
- New release 2.06

* Tue Apr 06 2004 Michael Scherer <misc@mandrake.org> 2.05-2mdk
- fix upload

* Tue Mar 16 2004 Michael Scherer <misc@mandrake.org> 2.05-1mdk
- First MandrakeSoft Package

